Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class PricingMinimum 'Átlagárból generálja a minimum eladási árat
    Inherits BaseObject

    Private _ShortName As String 'Megnevezés
    Private _Description As String 'Leírás
    Private _PricePercent As Double ' ? százalákkal növelje az átlagárból a minimum árat ?
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub

    <RuleRequiredField("PricingMinimum-ShortName", DefaultContexts.Save)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    <RuleRange("PricingMinimum-PricePercent", DefaultContexts.Save, 0, 99)> _
    Property PricePercent As Double
        Get
            Return _PricePercent
        End Get
        Set(value As Double)
            SetPropertyValue("PricePercent", _PricePercent, value)
        End Set
    End Property
End Class
